libetonyek::IWORKTextBodyElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKTextBodyElement Class Reference

`#include <IWORKTextBodyElement.h>`

Inheritance diagram for libetonyek::IWORKTextBodyElement:

## Public Member Functions
| IWORKTextBodyElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
bool | m_layout
bool | m_para

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTextBodyElement()

libetonyek::IWORKTextBodyElement::IWORKTextBodyElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTextBodyElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKTextBodyElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_layout

bool libetonyek::IWORKTextBodyElement::m_layout
| private

Referenced by element(), and IWORKTextBodyElement().

## ◆ m_para

bool libetonyek::IWORKTextBodyElement::m_para
| private

Referenced by element(), and IWORKTextBodyElement().

The documentation for this class was generated from the following files:

- IWORKTextBodyElement.h
- IWORKTextBodyElement.cpp